# Uses of Interface
java.util.Enumeration

Packages that use Enumeration
Package
Description
java.applet
Provides the classes necessary to create an applet and the classes an applet uses to communicate with its applet context.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.net
Provides the classes for implementing networking applications.
java.security
Provides the classes and interfaces for the security framework.
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.concurrent
Utility classes commonly useful in concurrent programming.
java.util.jar
Provides classes for reading and writing the JAR (Java ARchive) file format, which is based on the standard ZIP file format with an optional manifest file.
java.util.logging
Provides the classes and interfaces of the Java 2 platform's core logging facilities.
java.util.zip
Provides classes for reading and writing the standard ZIP and GZIP file formats.
javax.naming
Provides the classes and interfaces for accessing naming services.
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.
javax.net.ssl
Provides classes for the secure socket package.
javax.security.sasl
Contains class and interfaces for supporting SASL.
javax.sql.rowset.spi
The standard classes and interfaces that a third party vendor has to use in its implementation of a synchronization provider.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.
javax.swing.text.html.parser
Provides the default HTML parser, along with support classes.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of Enumeration in java.applet

Methods in java.applet that return Enumeration
Modifier and Type
Method
Description
`Enumeration<Applet>`
AppletContext.`getApplets()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finds all the applets in the document represented by this applet context.

## Uses of Enumeration in java.awt

Methods in java.awt that return Enumeration
Modifier and Type
Method
Description
`Enumeration<MenuShortcut>`
MenuBar.`shortcuts()`
Gets an enumeration of all menu shortcuts this menu bar is managing.

## Uses of Enumeration in java.beans

Methods in java.beans that return Enumeration
Modifier and Type
Method
Description
`Enumeration<String>`
FeatureDescriptor.`attributeNames()`
Gets an enumeration of the locale-independent names of this feature.

## Uses of Enumeration in java.io

Constructors in java.io with parameters of type Enumeration
Modifier
Constructor
Description
``
`SequenceInputStream(Enumeration<? extends InputStream> e)`
Initializes a newly created `SequenceInputStream` by remembering the argument, which must be an `Enumeration` that produces objects whose run-time type is `InputStream`.

## Uses of Enumeration in java.lang

Methods in java.lang that return Enumeration
Modifier and Type
Method
Description
`protected Enumeration<URL>`
ClassLoader.`findResources(String name)`
Returns an enumeration of `URL` objects representing all the resources with the given name.
`Enumeration<URL>`
ClassLoader.`getResources(String name)`
Finds all the resources with the given name.
`static Enumeration<URL>`
ClassLoader.`getSystemResources(String name)`
Finds all resources of the specified name from the search path used to load classes.

## Uses of Enumeration in java.net

Methods in java.net that return Enumeration
Modifier and Type
Method
Description
`Enumeration<URL>`
URLClassLoader.`findResources(String name)`
Returns an Enumeration of URLs representing all of the resources on the URL search path having the specified name.
`Enumeration<InetAddress>`
NetworkInterface.`getInetAddresses()`
Get an Enumeration of the InetAddresses bound to this network interface.
`static Enumeration<NetworkInterface>`
NetworkInterface.`getNetworkInterfaces()`
Returns an `Enumeration` of all the interfaces on this machine.
`Enumeration<NetworkInterface>`
NetworkInterface.`getSubInterfaces()`
Get an Enumeration with all the subinterfaces (also known as virtual interfaces) attached to this network interface.

## Uses of Enumeration in java.security

Methods in java.security that return Enumeration
Modifier and Type
Method
Description
`final Enumeration<String>`
KeyStore.`aliases()`
Lists all the alias names of this keystore.
`abstract Enumeration<Permission>`
PermissionCollection.`elements()`
Returns an enumeration of all the Permission objects in the collection.
`Enumeration<Permission>`
Permissions.`elements()`
Returns an enumeration of all the `Permission` objects in all the `PermissionCollection` objects in this `Permissions` object.
`abstract Enumeration<String>`
KeyStoreSpi.`engineAliases()`
Lists all the alias names of this keystore.
`abstract Enumeration<Identity>`
IdentityScope.`identities()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns an enumeration of all identities in this identity scope.

## Uses of Enumeration in java.sql

Methods in java.sql that return Enumeration
Modifier and Type
Method
Description
`static Enumeration<Driver>`
DriverManager.`getDrivers()`
Retrieves an Enumeration with all of the currently loaded JDBC drivers to which the current caller has access.

## Uses of Enumeration in java.util

Classes in java.util that implement Enumeration
Modifier and Type
Class
Description
`class`
`StringTokenizer`
The string tokenizer class allows an application to break a string into tokens.
Methods in java.util that return Enumeration
Modifier and Type
Method
Description
`abstract Enumeration<V>`
Dictionary.`elements()`
Returns an enumeration of the values in this dictionary.
`Enumeration<V>`
Hashtable.`elements()`
Returns an enumeration of the values in this hashtable.
`Enumeration<E>`
Vector.`elements()`
Returns an enumeration of the components of this vector.
`static <T> Enumeration<T>`
Collections.`emptyEnumeration()`
Returns an enumeration that has no elements.
`static <T> Enumeration<T>`
Collections.`enumeration(Collection<T> c)`
Returns an enumeration over the specified collection.
`Enumeration<String>`
ListResourceBundle.`getKeys()`
Returns an `Enumeration` of the keys contained in this `ResourceBundle` and its parent bundles.
`Enumeration<String>`
PropertyResourceBundle.`getKeys()`
Returns an `Enumeration` of the keys contained in this `ResourceBundle` and its parent bundles.
`abstract Enumeration<String>`
ResourceBundle.`getKeys()`
Returns an enumeration of the keys.
`abstract Enumeration<K>`
Dictionary.`keys()`
Returns an enumeration of the keys in this dictionary.
`Enumeration<K>`
Hashtable.`keys()`
Returns an enumeration of the keys in this hashtable.
`Enumeration<?>`
Properties.`propertyNames()`
Returns an enumeration of all the keys in this property list, including distinct keys in the default property list if a key of the same name has not already been found from the main properties list.
Methods in java.util with parameters of type Enumeration
Modifier and Type
Method
Description
`static <T> ArrayList<T>`
Collections.`list(Enumeration<T> e)`
Returns an array list containing the elements returned by the specified enumeration in the order they are returned by the enumeration.

## Uses of Enumeration in java.util.concurrent

Methods in java.util.concurrent that return Enumeration
Modifier and Type
Method
Description
`Enumeration<V>`
ConcurrentHashMap.`elements()`
Returns an enumeration of the values in this table.
`Enumeration<K>`
ConcurrentHashMap.`keys()`
Returns an enumeration of the keys in this table.

## Uses of Enumeration in java.util.jar

Methods in java.util.jar that return Enumeration
Modifier and Type
Method
Description
`Enumeration<JarEntry>`
JarFile.`entries()`
Returns an enumeration of the jar file entries.

## Uses of Enumeration in java.util.logging

Methods in java.util.logging that return Enumeration
Modifier and Type
Method
Description
`Enumeration<String>`
LogManager.`getLoggerNames()`
Get an enumeration of known logger names.

## Uses of Enumeration in java.util.zip

Methods in java.util.zip that return Enumeration
Modifier and Type
Method
Description
`Enumeration<? extends ZipEntry>`
ZipFile.`entries()`
Returns an enumeration of the ZIP file entries.

## Uses of Enumeration in javax.naming

Subinterfaces of Enumeration in javax.naming
Modifier and Type
Interface
Description
`interface`
`NamingEnumeration<T>`
This interface is for enumerating lists returned by methods in the javax.naming and javax.naming.directory packages.
Methods in javax.naming that return Enumeration
Modifier and Type
Method
Description
`Enumeration<String>`
CompositeName.`getAll()`
Retrieves the components of this composite name as an enumeration of strings.
`Enumeration<String>`
CompoundName.`getAll()`
Retrieves the components of this compound name as an enumeration of strings.
`Enumeration<String>`
Name.`getAll()`
Retrieves the components of this name as an enumeration of strings.
`Enumeration<RefAddr>`
Reference.`getAll()`
Retrieves an enumeration of the addresses in this reference.
Constructors in javax.naming with parameters of type Enumeration
Modifier
Constructor
Description
`protected`
`CompositeName(Enumeration<String> comps)`
Constructs a new composite name instance using the components specified by 'comps'.
`protected`
`CompoundName(Enumeration<String> comps, Properties syntax)`
Constructs a new compound name instance using the components specified in comps and syntax.

## Uses of Enumeration in javax.naming.ldap

Methods in javax.naming.ldap that return Enumeration
Modifier and Type
Method
Description
`Enumeration<String>`
LdapName.`getAll()`
Retrieves the components of this name as an enumeration of strings.

## Uses of Enumeration in javax.net.ssl

Methods in javax.net.ssl that return Enumeration
Modifier and Type
Method
Description
`Enumeration<byte[]>`
SSLSessionContext.`getIds()`
Returns an Enumeration of all known session id's grouped under this `SSLSessionContext`.

## Uses of Enumeration in javax.security.sasl

Methods in javax.security.sasl that return Enumeration
Modifier and Type
Method
Description
`static Enumeration<SaslClientFactory>`
Sasl.`getSaslClientFactories()`
Gets an enumeration of known factories for producing `SaslClient`.
`static Enumeration<SaslServerFactory>`
Sasl.`getSaslServerFactories()`
Gets an enumeration of known factories for producing `SaslServer`.

## Uses of Enumeration in javax.sql.rowset.spi

Methods in javax.sql.rowset.spi that return Enumeration
Modifier and Type
Method
Description
`static Enumeration<SyncProvider>`
SyncFactory.`getRegisteredProviders()`
Returns an Enumeration of currently registered synchronization providers.

## Uses of Enumeration in javax.swing

Methods in javax.swing that return Enumeration
Modifier and Type
Method
Description
`Enumeration<TreeNode>`
JTree.DynamicUtilTreeNode.`children()`
Subclassed to load the children, if necessary.
`Enumeration<E>`
DefaultListModel.`elements()`
Returns an enumeration of the components of this list.
`protected Enumeration<TreePath>`
JTree.`getDescendantToggledPaths(TreePath parent)`
Returns an `Enumeration` of `TreePaths` that have been expanded that are descendants of `parent`.
`Enumeration<AbstractButton>`
ButtonGroup.`getElements()`
Returns all the buttons that are participating in this group.
`Enumeration<TreePath>`
JTree.`getExpandedDescendants(TreePath parent)`
Returns an `Enumeration` of the descendants of the path `parent` that are currently expanded.
Methods in javax.swing with parameters of type Enumeration
Modifier and Type
Method
Description
`protected void`
JTree.`removeDescendantToggledPaths(Enumeration<TreePath> toRemove)`
Removes any descendants of the `TreePaths` in `toRemove` that have been expanded.

## Uses of Enumeration in javax.swing.table

Methods in javax.swing.table that return Enumeration
Modifier and Type
Method
Description
`Enumeration<TableColumn>`
DefaultTableColumnModel.`getColumns()`
Returns an `Enumeration` of all the columns in the model.
`Enumeration<TableColumn>`
TableColumnModel.`getColumns()`
Returns an `Enumeration` of all the columns in the model.

## Uses of Enumeration in javax.swing.text

Methods in javax.swing.text that return Enumeration
Modifier and Type
Method
Description
`abstract Enumeration<TreeNode>`
AbstractDocument.AbstractElement.`children()`
Returns the children of the receiver as an `Enumeration`.
`Enumeration<TreeNode>`
AbstractDocument.BranchElement.`children()`
Returns the children of the receiver as an `Enumeration`.
`Enumeration<TreeNode>`
AbstractDocument.LeafElement.`children()`
Returns the children of the receiver as an `Enumeration`.
`Enumeration<?>`
AbstractDocument.AbstractElement.`getAttributeNames()`
Gets the names of all attributes.
`Enumeration<?>`
AttributeSet.`getAttributeNames()`
Returns an enumeration over the names of the attributes that are defined locally in the set.
`Enumeration<?>`
SimpleAttributeSet.`getAttributeNames()`
Gets the names of the attributes in the set.
`Enumeration<?>`
StyleContext.NamedStyle.`getAttributeNames()`
Gets the names of all attributes.
`Enumeration<?>`
StyleContext.SmallAttributeSet.`getAttributeNames()`
Gets the names of all attributes.
`Enumeration<?>`
DefaultStyledDocument.`getStyleNames()`
Fetches the list of style names.
`Enumeration<?>`
StyleContext.`getStyleNames()`
Fetches the names of the styles defined.
Methods in javax.swing.text with parameters of type Enumeration
Modifier and Type
Method
Description
`void`
AbstractDocument.AbstractElement.`removeAttributes(Enumeration<?> names)`
Removes a set of attributes for the element.
`AttributeSet`
AbstractDocument.AttributeContext.`removeAttributes(AttributeSet old, Enumeration<?> names)`
Removes a set of attributes for the element.
`void`
MutableAttributeSet.`removeAttributes(Enumeration<?> names)`
Removes an attribute set with the given `names`.
`void`
SimpleAttributeSet.`removeAttributes(Enumeration<?> names)`
Removes a set of attributes from the list.
`void`
StyleContext.NamedStyle.`removeAttributes(Enumeration<?> names)`
Removes a set of attributes for the element.
`AttributeSet`
StyleContext.`removeAttributes(AttributeSet old, Enumeration<?> names)`
Removes a set of attributes for the element.

## Uses of Enumeration in javax.swing.text.html

Methods in javax.swing.text.html with parameters of type Enumeration
Modifier and Type
Method
Description
`AttributeSet`
StyleSheet.`removeAttributes(AttributeSet old, Enumeration<?> names)`
Removes a set of attributes for the element.

## Uses of Enumeration in javax.swing.text.html.parser

Methods in javax.swing.text.html.parser that return Enumeration
Modifier and Type
Method
Description
`Enumeration<?>`
AttributeList.`getValues()`
Returns possible attribute values.

## Uses of Enumeration in javax.swing.tree

Fields in javax.swing.tree declared as Enumeration
Modifier and Type
Field
Description
`static final Enumeration<TreeNode>`
DefaultMutableTreeNode.`EMPTY_ENUMERATION`
An enumeration that is always empty.
Methods in javax.swing.tree that return Enumeration
Modifier and Type
Method
Description
`Enumeration<TreeNode>`
DefaultMutableTreeNode.`breadthFirstEnumeration()`
Creates and returns an enumeration that traverses the subtree rooted at this node in breadth-first order.
`Enumeration<TreeNode>`
DefaultMutableTreeNode.`children()`
Creates and returns a forward-order enumeration of this node's children.
`Enumeration<? extends TreeNode>`
TreeNode.`children()`
Returns the children of the receiver as an `Enumeration`.
`Enumeration<TreeNode>`
DefaultMutableTreeNode.`depthFirstEnumeration()`
Creates and returns an enumeration that traverses the subtree rooted at this node in depth-first order.
`abstract Enumeration<TreePath>`
AbstractLayoutCache.`getVisiblePathsFrom(TreePath path)`
Returns an `Enumerator` that increments over the visible paths starting at the passed in location.
`Enumeration<TreePath>`
FixedHeightLayoutCache.`getVisiblePathsFrom(TreePath path)`
Returns an Enumerator that increments over the visible paths starting at the passed in location.
`Enumeration<TreePath>`
VariableHeightLayoutCache.`getVisiblePathsFrom(TreePath path)`
Returns an `Enumerator` that increments over the visible paths starting at the passed in location.
`Enumeration<TreeNode>`
DefaultMutableTreeNode.`pathFromAncestorEnumeration(TreeNode ancestor)`
Creates and returns an enumeration that follows the path from `ancestor` to this node.
`Enumeration<TreeNode>`
DefaultMutableTreeNode.`postorderEnumeration()`
Creates and returns an enumeration that traverses the subtree rooted at this node in postorder.
`Enumeration<TreeNode>`
DefaultMutableTreeNode.`preorderEnumeration()`
Creates and returns an enumeration that traverses the subtree rooted at this node in preorder.

## Uses of Enumeration in org.xml.sax.helpers

Methods in org.xml.sax.helpers that return Enumeration
Modifier and Type
Method
Description
`Enumeration<String>`
NamespaceSupport.`getDeclaredPrefixes()`
Return an enumeration of all prefixes declared in this context.
`Enumeration<String>`
NamespaceSupport.`getPrefixes()`
Return an enumeration of all prefixes whose declarations are active in the current context.
`Enumeration<String>`
NamespaceSupport.`getPrefixes(String uri)`
Return an enumeration of all prefixes for a given URI whose declarations are active in the current context.